<?php

declare(strict_types=1);

namespace App\Framework\Logging;

/**
 * Interface für Log-Handler, die Log-Einträge verarbeiten.
 */
interface LogHandler
{
    /**
     * Überprüft, ob dieser Handler den Log-Eintrag verarbeiten soll
     */
    public function isHandling(LogRecord $record): bool;

    /**
     * Verarbeitet einen Log-Eintrag
     */
    public function handle(LogRecord $record): void;
}
